Subject: bug#7004: 23.2; In fullscreen mode, the echo area takes too much vertical space

From: Jan Djärv <[email-masked]>
Date: Fri, 18 Mar 2011 07:21:00 +0100

Dani Moncayo skrev 2011-03-17 19.43:

> 5.- At this point, Emacs could finally do the drawing this way:
> 5.1- Distribute the total remaining height among the currently visible
> windows, in the form of partial lines displayed at the bottom of each
> window. (This "distribution" may not be trivial, as pointed out
> already in this thread...)
> 5.2- Similarly, distribute the total remaining width in the form of
> partial columns displayed at the right of each window.

Some of us thinks this is so ugly and really only ever want complete 
lines/columns to be displayed.  It is so much easier to read then.

> With my previous approach, there would be no need for such hints.
> Emacs should be able to adapt itself to any pixel size imposed by the
> window manager (which in turn obeys to the user).
>

The hints aren't there just to impose size, they are there also so that the 
window manager can tell the users lines and columns when an emacs frame is 
resized, instead of pixel.  Changing this is out of the question.

	Jan D.